Package org.apache.wiki.tags

## Class AdminBeanIteratorTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.apache.wiki.tags.IteratorTag
      - - org.apache.wiki.tags.AdminBeanIteratorTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class AdminBeanIteratorTag
    extends IteratorTag

Provides an iterator for all AdminBeans of a given type.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.IteratorTag

`m_iterator, m_pageName, m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`AdminBeanIteratorTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `resetIterator()` Override this method to reset your own iterator.
`void` `setType​(java.lang.String type)` Set the type of the bean.

### Methods inherited from class org.apache.wiki.tags.IteratorTag

`clearList, doAfterBody, doCatch, doEndTag, doFinally, doStartTag, setList, setList`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

### Constructor Detail

#### AdminBeanIteratorTag

    public AdminBeanIteratorTag()

### Method Detail

#### setType

    public void setType​(java.lang.String type)

Set the type of the bean.

Parameters:
  `type` - Type to set

#### resetIterator

    public void resetIterator()

Override this method to reset your own iterator.

Overrides:
  `resetIterator` in class `IteratorTag`